aboutsummaryrefslogtreecommitdiffstats
path: root/restconf-client/installer/src/main/resources/scripts/install-feature.sh
diff options
context:
space:
mode:
authorgaurav <gaurav.agrawal@huawei.com>2018-07-18 19:39:10 +0530
committergaurav <gaurav.agrawal@huawei.com>2018-07-20 22:16:08 +0530
commitd7d5ea0fe2e9bf6c5222174df2bdd80192b9d6ee (patch)
treed45c061638a355866155c71d6c0a3bdbab52f34e /restconf-client/installer/src/main/resources/scripts/install-feature.sh
parentd6a56cd8f71cc196083c6ab16e86d24c7c89f9ef (diff)
API for RestconfClient
API for RestconfClient including: - RestconfApiCallNode - RestconfDiscoveryNode Change-Id: Ieda6251b91b6d399cd0106993c3fdd1a440d5b0a Issue-ID: CCSDK-371 Signed-off-by: Gaurav Agrawal <gaurav.agrawal@huawei.com>
Diffstat (limited to 'restconf-client/installer/src/main/resources/scripts/install-feature.sh')
-rw-r--r--restconf-client/installer/src/main/resources/scripts/install-feature.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/restconf-client/installer/src/main/resources/scripts/install-feature.sh b/restconf-client/installer/src/main/resources/scripts/install-feature.sh
new file mode 100644
index 00000000..8e9195d5
--- /dev/null
+++ b/restconf-client/installer/src/main/resources/scripts/install-feature.sh
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+###
+# ============LICENSE_START=======================================================
+# ONAP : CCSDK
+# ================================================================================
+# Copyright (C) 2018 Huawei Technologies Co., Ltd. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============LICENSE_END=========================================================
+###
+
+ODL_HOME=${ODL_HOME:-/opt/opendaylight/current}
+ODL_KARAF_CLIENT=${ODL_KARAF_CLIENT:-${ODL_HOME}/bin/client}
+INSTALLERDIR=$(dirname $0)
+
+REPOZIP=${INSTALLERDIR}/${features.boot}-${project.version}.zip
+
+if [ -f ${REPOZIP} ]
+then
+ unzip -nd ${ODL_HOME} ${REPOZIP}
+else
+ echo "ERROR : repo zip ($REPOZIP) not found"
+ exit 1
+fi
+
+${ODL_KARAF_CLIENT} feature:repo-add ${features.repositories}
+${ODL_KARAF_CLIENT} feature:install ${features.boot}